// $Id: test-databases.C,v 1.2 2002/10/19 14:30:32 dvermeir Exp $

#include <string>
#include <fstream>

#include <dvmysql/mysqldb.h>

using namespace std;
using namespace Dv;

int
main(int,char**)
{
try {
  static const string CONFIG("tmysql.config");
  ifstream	ifs(CONFIG.c_str());
  if (!ifs)
    throw runtime_error(CONFIG+": cannot open");
  
  Dv::Util::Props config(ifs);
  
  MySql::Db db(config,"tmeta::");

  vector<string> dbs = db.databases();

  for (vector<string>::const_iterator i=dbs.begin();(i!=dbs.end());++i)
   cout << *i << endl;
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}
