// $Id: test-fields-repeat.C,v 1.1 2003/03/29 19:03:30 dvermeir Exp $

#include <string>
#include <iostream>
#include <fstream>

#include <dvmysql/mysqldb.h>

using namespace std;
using namespace Dv;

int
main(int,char**) {
try {
  static const string CONFIG("tmysql.config");
  ifstream	ifs(CONFIG.c_str());
  if (!ifs)
    throw runtime_error(CONFIG+": cannot open");
  
  Dv::Util::Props	config(ifs);
  MySql::Db	db(config,"tmeta::");

  vector<string>	dbs = db.databases();

	for (int i=0; true; ++i) {
    for (vector<string>::const_iterator d=dbs.begin();(d!=dbs.end());++d) {
      db.database(*d);
      vector<string>	tables = db.tables();
  
      for (vector<string>::const_iterator t=tables.begin();(t!=tables.end());++t)  
        vector<Sql::Field>	fields = db.fields(*t);
      }
		if (i%1000 == 0)
		  std::cout << i << std::endl;
	  }
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
return 0;
}
