#ifndef vector_string_input_iterator_h
#define vector_string_input_iterator_h
// $Id: vector_string_input_iterator.h.in,v 1.3 2002/10/22 08:23:09 dvermeir Exp $

namespace Dv {
namespace Sql {
/** Kludge to support gcc-2.95.3 and gcc-3.2
 * Gcc-3.1 does not have input_iterator while gcc-2.95.3 does not have iterator.
 * gcc-2.95.3: std::iterator<std::input_iterator_tag,std::vector<std::string> > 
 * gcc-3.1: std::input_iterator<std::vector<std::string>, ptrdiff_t > 
 * The definition below is generated from configure.in.
 */
typedef std::iterator<std::input_iterator_tag, std::vector<std::string> > vector_string_input_iterator;
}}
#endif
